ServerRoot	"C:/core/httpd/Apache2"
PidFile		logs/httpd.pid
Timeout		300
KeepAlive	On
MaxKeepAliveRequests	100
KeepAliveTimeout	15

<IfModule mpm_winnt.c>
	ThreadsPerChild		250
	MaxRequestsPerChild 	0
</IfModule>

Listen 80

LoadModule access_module modules/mod_access.so
LoadModule actions_module modules/mod_actions.so
LoadModule alias_module modules/mod_alias.so
#LoadModule asis_module modules/mod_asis.so
LoadModule auth_module modules/mod_auth.so
#LoadModule auth_anon_module modules/mod_auth_anon.so
#LoadModule auth_dbm_module modules/mod_auth_dbm.so
#LoadModule auth_digest_module modules/mod_auth_digest.so
#LoadModule autoindex_module modules/mod_autoindex.so
#LoadModule cern_meta_module modules/mod_cern_meta.so
LoadModule cgi_module modules/mod_cgi.so
#LoadModule dav_module modules/mod_dav.so
#LoadModule dav_fs_module modules/mod_dav_fs.so
LoadModule dir_module modules/mod_dir.so
LoadModule env_module modules/mod_env.so
#LoadModule expires_module modules/mod_expires.so
#LoadModule file_cache_module modules/mod_file_cache.so
#LoadModule headers_module modules/mod_headers.so
#LoadModule imap_module modules/mod_imap.so
LoadModule include_module modules/mod_include.so
#LoadModule info_module modules/mod_info.so
LoadModule isapi_module modules/mod_isapi.so
LoadModule log_config_module modules/mod_log_config.so
LoadModule mime_module modules/mod_mime.so
#LoadModule mime_magic_module modules/mod_mime_magic.so
#LoadModule proxy_module modules/mod_proxy.so
#LoadModule proxy_connect_module modules/mod_proxy_connect.so
#LoadModule proxy_http_module modules/mod_proxy_http.so
#LoadModule proxy_ftp_module modules/mod_proxy_ftp.so
#LoadModule negotiation_module modules/mod_negotiation.so
#LoadModule rewrite_module modules/mod_rewrite.so
LoadModule setenvif_module modules/mod_setenvif.so
#LoadModule speling_module modules/mod_speling.so
#LoadModule status_module modules/mod_status.so
#LoadModule unique_id_module modules/mod_unique_id.so
LoadModule userdir_module modules/mod_userdir.so
#LoadModule usertrack_module modules/mod_usertrack.so
#LoadModule vhost_alias_module modules/mod_vhost_alias.so
#LoadModule ssl_module modules/mod_ssl.so

ServerAdmin	rmp@psyphi.net
ServerName	cathedral.psyphi.net:80
UseCanonicalName Off
DocumentRoot	"C:/core/httpd/Apache2/htdocs"
DirectoryIndex	index.shtml index.html
AccessFileName	.htaccess

<Files ~ "^\.ht">
	Order	allow,deny
	Deny	from all
</Files>

TypesConfig	conf/mime.types
DefaultType	text/plain

<IfModule mod_mime_magic.c>
	MIMEMagicFile	conf/magic
</IfModule>

HostnameLookups	On

ErrorLog	logs/error.log
LogLevel	warn
LogFormat	"%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
CustomLog	logs/access.log combined
ServerTokens	Prod
ServerSignature	Off

AddType		application/x-compress .Z
AddType		application/x-gzip .gz .tgz

AddType		text/html .shtml
AddOutputFilter	INCLUDES .shtml

BrowserMatch "Mozilla/2" nokeepalive
BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0
BrowserMatch "RealPlayer 4\.0" force-response-1.0
BrowserMatch "Java/1\.0" force-response-1.0
BrowserMatch "JDK/1\.0" force-response-1.0
BrowserMatch "Microsoft Data Access Internet Publishing Provider" redirect-carefully
BrowserMatch "^WebDrive" redirect-carefully
BrowserMatch "^WebDAVFS/1.[012]" redirect-carefully
BrowserMatch "^gnome-vfs" redirect-carefully

NameVirtualHost *:80

<Directory />
	Options		None
	AllowOverride	None
	Order		deny,allow
	Deny		from all
</Directory>

Alias /icons/ "C:/core/httpd/Apache2/icons/"

<Directory "C:/core/httpd/Apache2/icons">
	Options		Indexes MultiViews
	AllowOverride	None
	Order		allow,deny
	Allow		from all
</Directory>

<VirtualHost *:80>
	ServerName	tracker
	ServerAlias	tracker*
	DocumentRoot	"C:/core/tracker/htdocs"

	<Directory "C:/core/tracker/htdocs">
		Options		Indexes	Includes
		AllowOverride	None
		Order		allow,deny
		Allow		from 127.0.0.1
	</Directory>

	ScriptAlias	"/cgi-bin"	"C:/core/tracker/cgi-bin"
	<Directory "C:/core/tracker/cgi-bin">
		Options		ExecCGI
		AllowOverride	None
		Order		allow,deny
		Allow		from 127.0.0.1
	</Directory>
</VirtualHost>
